Core - Task # 36420

Epic # 55070 (Accepted): Workpackages

Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54264 (New): As an Enterprise User | want to use Storages outside my webroot or on remote systems in order to structure my Files
according to my IT-Guidelines

Status: Resolved Priority: Must have

Author: Susanne Moog Category: File Abstraction Layer (FAL)
Created: 2012-04-22 Assigned To: Steffen Ritter

Updated: 2014-03-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Sprint Focus:

Subject: Filemount in local file system (not on webserver) leads to errors

Description

| have a filemount set to /home/susanne/test, my web server is running at /var/www/sd/. Trying to access the storage results in
"#1329765518: Public URL of file cannot be determined", how could I tell the system where to find the public url? (as it clearly cannot
be automatically found with a folder "somewhere" and "magic conf" to access it.

Related issues:

related to Core - Bug # 56927: Regression: baseUri for LocalDriver is invalid... Resolved 2014-03-15
related to Core - Bug # 60294 If a local file storage is outside the documen... Closed 2014-07-13
related to Core - Bug # 61295: calculateBasePath of LocalDriver does not prop... Resolved 2014-09-01
duplicated by Core - Task # 54227: Fix Storages outside web-root Rejected 2013-12-06
blocked by Core - Task # 35858: Test and fix URL generation Closed 2012-04-11

Associated revisions

Revision 64838420 - 2014-03-11 14:08 - Steffen Ritter

[FEATURE] Allow Storages outside the webroot

Storages can be marked as not public or be outside of webroot.

There are no direct links to the files posible.

This change adds a elD implementation to create urls to these files.
It also implements a hook in het elD dispatcher that makes is possible
to add custom security/access checks when delivering files.

Releases: 6.2

Resolves: #36420

Change-Id: le7fc9c8a674a3200ea2b29d1adc17327d10bd6e5
Reviewed-on: https://review.typo3.org/27760

Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
https://review.typo3.org/27760

History

#1 - 2012-04-30 16:06 - Ingmar Schlecht
- Target version set to 6.0 betat

#2 - 2012-05-24 12:38 - Andreas Wolf
- Status changed from New to Accepted
- Assigned To set to Andreas Wolf

This is currently an open issue - there is no configuration option for the public URL.

#3 - 2012-09-01 19:10 - Andreas Wolf
- Project changed from File Abstraction Layer to Core
- Target version deleted (6.0 betat)

#4 - 2012-09-01 19:10 - Andreas Wolf
- Category set to File Abstraction Layer (FAL)
- TYPOS3 Version set to 6.0

#5 - 2012-09-01 19:25 - Andreas Wolf

Andreas Wolf wrote:

This is currently an open issue - there is no configuration option for the public URL.

More specifically, the option is there (baseUri), but not configurable in TCA.

#6 - 2013-12-07 16:37 - Steffen Ritter
- Parent task set to #54264
- Is Regression set to No

#7 - 2013-12-07 16:38 - Steffen Ritter
- Assigned To deleted (Andreas Wolf)
- TYPOS3 Version changed from 6.0 to 6.2

#8 - 2014-02-20 08:12 - Steffen Ritter
- Assigned To set to Steffen Ritter

#9 - 2014-02-20 14:28 - Steffen Ritter
- Tracker changed from Bug to Feature
- Target version set to 6.2.0

#10 - 2014-02-20 14:29 - Steffen Ritter

- Priority changed from Should have to Must have
- Estimated time set to 12.00

- Complexity set to medium

#11 - 2014-02-20 18:30 - Gerrit Code Review

- Status changed from Accepted to Under Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27760

#12 - 2014-02-20 18:30 - Steffen Ritter
- % Done changed from 0 to 50

#13 - 2014-02-20 19:03 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27760

#14 - 2014-03-10 11:39 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27760

#15 - 2014-03-10 12:15 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27760

#16 - 2014-03-10 12:46 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27760

#17 - 2014-03-10 15:24 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27760

#18 - 2014-03-10 16:41 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27760

#19 - 2014-03-11 09:14 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27760

#20 - 2014-03-11 13:54 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27760
#21 - 2014-03-11 14:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:64838420c8fd50de82c7726dcbebbabc6a6¢c7095.

#22 - 2014-03-14 18:24 - Xavier Perseguers

- Status changed from Resolved to Needs Feedback

Using git bisect | came to this patch breaking my Frontend output. Comment from gerrit:

Post -1 here as it breaks rendering of images in Frontend, at least when having "config.absRefPrefix = /" because every generated image
(typo3temp/_processed/) is now referenced as

<img src="//typo3temp/_processed/whatever" with a double slash at the beginning whereas we had only 1 in beta6.

Same problem if an image is taken from typo3conf:

<img src="//typo3conf/ext/whatever/Resources/...", so it's not only related to processed images in FAL

#23 - 2014-03-14 18:31 - Xavier Perseguers

Problem is in method \TYPO3\CMS\Extbase\Service\ImageService::getimageUri() because $image->getPublicUrl() contains a leading / and the other
one comes from config.absRefPrefix!

#24 - 2014-03-14 19:14 - Gerrit Code Review

- Status changed from Needs Feedback to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28395

#25 - 2014-03-14 19:21 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28395

#26 - 2014-03-14 19:23 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28395

#27 - 2014-03-15 00:17 - Alexander Stehlik

Regression in #56927. Patch is on the way.
#28 - 2014-03-15 11:18 - Xavier Perseguers
- Status changed from Under Review to Resolved

2015-08-04 5/5



